For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Calculator
OverviewAPI Endpoints
OverviewAPI Endpoints
  • Endpoints
      • GETList uplifts
      • POSTCreate an uplift
      • GETGet uplift by ID
      • PUTUpdate uplift (full)
      • PATCHUpdate uplift (partial)
Calculator
LogoLogo
EndpointsUplifts

Get uplift by ID

GET
https://api.finput.com.au/api/v1/uplifts/:id
GET
/api/v1/uplifts/:id
$curl https://api.finput.com.au/api/v1/uplifts/1 \
> -H "Authorization: Bearer <token>"
1{
2 "id": 1,
3 "uplift_name": "uplift_name",
4 "product_id": 1,
5 "rate_bracket_id": 1,
6 "fields_name": [
7 "fields_name"
8 ],
9 "rate_change": 1.1,
10 "property_ownership_status": true,
11 "asset_state": "none",
12 "min_asset_cost": 1.1,
13 "max_asset_cost": 1.1,
14 "min_asset_age": 1,
15 "max_asset_age": 1,
16 "min_abn_age": 1,
17 "max_abn_age": 1,
18 "min_gst_age": 1,
19 "max_gst_age": 1,
20 "min_term": 1,
21 "max_term": 1,
22 "min_credit_score": 1,
23 "max_credit_score": 1,
24 "min_asset_age_plus_term": 1,
25 "max_asset_age_plus_term": 1,
26 "private_sale": true,
27 "sale_hire_back": true,
28 "brokerage_loading_treatment": 1.1,
29 "created_at": "2024-01-15T09:30:00Z",
30 "updated_at": "2024-01-15T09:30:00Z"
31}
Was this page helpful?
Previous

Update uplift (full)

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idintegerRequired

Response

Uplift details
idinteger
uplift_namestring
product_idinteger
rate_bracket_idinteger
fields_namelist of strings

List of field names this uplift applies to (max 15)

rate_changedouble2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0

Rate adjustment (positive = increase, negative = decrease)

property_ownership_statusbooleanDefaults to false
asset_stateenum
Allowed values:
min_asset_costdouble
max_asset_costdouble
min_asset_ageinteger
max_asset_ageinteger
min_abn_ageinteger
max_abn_ageinteger
min_gst_ageinteger
max_gst_ageinteger
min_terminteger
max_terminteger
min_credit_scoreinteger
max_credit_scoreinteger
min_asset_age_plus_terminteger
max_asset_age_plus_terminteger
private_salebooleanDefaults to false
sale_hire_backbooleanDefaults to false
brokerage_loading_treatmentdouble2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
created_atdatetimeDefaults to 1970-01-01T00:00:00.000Z
updated_atdatetimeDefaults to 1970-01-01T00:00:00.000Z

Errors

404
Get Uplift Request Not Found Error